var url = location.search.substring(1);

PDFJS.cMapUrl = './cmaps/';
PDFJS.cMapPacked = true;

var pdfDoc = null;

function createPage() {
    var div = document.createElement("canvas");
//    document.body.appendChild(div);
    document.getElementById('pdfViewer').appendChild(div);

    return div;
}

function renderPage(num) {
    pdfDoc.getPage(num).then(function (page) {
        var viewport = page.getViewport(2.0);
        var canvas = createPage();
        var ctx = canvas.getContext('2d');

        canvas.height = viewport.height;
        canvas.width = viewport.width;
        console.log(viewport);

        page.render({
            canvasContext: ctx,
            viewport: viewport
        });


    });
}

//var totalH = document.body.scrollHeight || document.documentElement.scrollHeight
//var clientH = window.innerHeight || document.documentElement.clientHeight
var pageNumber

PDFJS.getDocument(url).then(function (pdf) {
    pdfDoc = pdf;
pageNumber = pdfDoc.numPages
    for (var i = 1; i <= pdfDoc.numPages; i++) {
        renderPage(i)
    }
    console.log("getDocument" + document.body.scrollHeight || document.documentElement.scrollHeight)
timedCount()
});

var progressTimeOut;

function showScrollDiv() {
    $('#scrollDiv').show();
}

var timedCount = function timedCount() {
    $('#scrollDiv').fadeOut();
}

var stopCount = function stopCount() {
    clearTimeout(progressTimeOut);
    progressTimeOut = null;
}
//keshigao
var clientH = window.innerHeight || document.documentElement.clientHeight
var curPage = 1

window.addEventListener('scroll',function(e){
    //zonggao
    var totalH = document.body.scrollHeight || document.documentElement.scrollHeight

    var scrollH = document.body.scrollTop || document.documentElement.scrollTop;

    var perPageHeight = totalH/pageNumber
    if(clientH > perPageHeight){
        var tempPage = parseInt( (scrollH + clientH * 0.5 )/ perPageHeight )+1
    }else{
        var tempPage = parseInt(scrollH/perPageHeight)+1
    }
    if(curPage !== tempPage){
    curPage = tempPage
            document.getElementById('scrollDiv').innerText = curPage + " / " + pageNumber;
            if (progressTimeOut) {
                stopCount()
            }
            showScrollDiv();
            progressTimeOut = setTimeout('timedCount()', 1500);
    }

})




